#.Cipher.Method


Decrypt
M
s
(Cipher)CipherText
DecryptSalted
M
s
(Cipher)s(Password)s
Encrypt
M
CipherText
(Plain)s[(Key)s(InitVector)s]
EncryptSalted
M
s
(Plain)s(Password)s[(Salt)s]
IvLength
R
i

KeyLength
R
i

#.Digest.Method


Hash
M
s
(Data)s
_call
M
s
(Data)s
#.PKeyCipher.Method


Decrypt
M
s
(Data)s(Key)PKey
Encrypt
M
s
(Data)s(Key)PKey
#.Signature.Method


Sign
M
s
(Data)s(Key)PKey
Verify
M
b
(Data)s(Signature)s(Key)PKey
#Cipher


IsSupported
M
b
(Method)s
_exit
M


_get
M
.Cipher.Method
(Method)s
_init
M


List
R
String[]

#CipherText

C
_free
m


_new
m

(Cipher)s(Key)s(InitVector)s
Cipher
r
s

InitVector
r
s

Key
r
s

#Digest


IsSupported
M
b
(Method)s
_exit
M


_get
M
.Digest.Method
(Method)s
_init
M


List
R
String[]

#HMac


RipeMD160
C
i
117
Sha1
C
i
64
_call
M
s
(Key)s(Data)s[(Method)v]
#OpenSSL


Pbkdf2
M
s
(Password)s(Salt)s(Iterations)l(KeyLength)i(Method)s
RandomBytes
M
s
(Length)i
Scrypt
M
s
(Password)s(Salt)s(N)l(R)l(P)l(KeyLength)l
#PKey


Generate
M
PKey
(Bits)i
LoadPrivate
M
PKey
(Pem)s[(Passphrase)s]
LoadPrivateDer
M
PKey
(Der)s
LoadPublic
M
PKey
(Pem)s
LoadPublicDer
M
PKey
(Der)s
ToDer
m
s

ToPem
m
s
[(Passphrase)s]
ToPublicDer
m
s

ToPublicPem
m
s

_free
m


Bits
r
i

IsPrivate
r
b

PublicPart
r
PKey

Type
r
s

#PKeyCipher


IsSupported
M
b
(Method)s
_get
M
.PKeyCipher.Method
(Method)s
List
R
String[]

#Signature


IsSupported
M
b
(Method)s
_get
M
.Signature.Method
(Method)s
List
R
String[]

